import { ApolloClient } from "apollo-client";
import { IRecordLockingListLockRecords, IRecordLockingListLockRecordsParams, IRecordLockingListLockRecordsResult } from "./abstractions/IRecordLockingListLockRecords";
import { IRecordLockingClient } from "./abstractions/IRecordLockingClient";
interface Params {
    client: IRecordLockingClient | ApolloClient<any>;
}
export declare class RecordLockingListLockRecords implements IRecordLockingListLockRecords {
    private readonly client;
    constructor(params: Params);
    execute(params: IRecordLockingListLockRecordsParams): Promise<IRecordLockingListLockRecordsResult>;
}
export {};
